org.apache.hc.core5.http.protocol

## Class HttpDateGenerator

- java.lang.Object
- - org.apache.hc.core5.http.protocol.HttpDateGenerator

-     @Contract(threading=SAFE)
      public class HttpDateGenerator
      extends Object

  Generates a date in the format required by the HTTP protocol.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TimeZone` | `GMT` Deprecated. This attribute is no longer supported as a part of the public API. The time zone to use in the date header.
    `static ZoneId` | `GMT_ID`
    `static HttpDateGenerator` | `INSTANCE` Singleton instance.
    `static String` | `INTERNET_MESSAGE_FORMAT`
    `static String` | `PATTERN_RFC1123` Deprecated. Use `INTERNET_MESSAGE_FORMAT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCurrentDate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATTERN_RFC1123

          @Deprecated
          public static final String PATTERN_RFC1123

      Deprecated. Use `INTERNET_MESSAGE_FORMAT`
      See Also:
        Constant Field Values

    - #### INTERNET_MESSAGE_FORMAT

          public static final String INTERNET_MESSAGE_FORMAT

      See Also:
        Constant Field Values

    - #### GMT

          @Deprecated
          public static final TimeZone GMT

      Deprecated. This attribute is no longer supported as a part of the public API. The time zone to use in the date header.

    - #### GMT_ID

          public static final ZoneId GMT_ID

    - #### INSTANCE

          public static final HttpDateGenerator INSTANCE

      Singleton instance.

  - ### Method Detail

    - #### getCurrentDate

          public String getCurrentDate()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.